Help for installation!

Hi, there. My macbook(M1) can’t install eh. it says unable to open disk image. Anyone can give me some ideas?

Hi @cheetarlee! Are you downloading the latest version, 3.5.0, from our site? Does your Mac meet all of these requirements:

1 Like

I use a helwett packard laptop and also cannot install it😭 please help

1 Like

@Rayvees_Nyakwara Please check if you computer meets the minimum system requirements listed here.